INTERFACE
SUBROUTINE GETMINI2 (YDVAZX, CDFILE, kvec_start, kvec_end)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMCT0 , ONLY: NCONF ,NSTART ,NPROC
USE CONTROL_VECTORS, ONLY : CONTROL_VECTOR, ALLOCATE_CTLVEC, DEALLOCATE_CTLVEC,&
 & ASSIGNMENT(=) 
TYPE(CONTROL_VECTOR),INTENT(INOUT) :: YDVAZX(:)
CHARACTER(LEN=*),INTENT(IN) :: CDFILE
INTEGER(KIND=JPIM),INTENT(IN) :: kvec_start
INTEGER(KIND=JPIM),INTENT(IN) :: kvec_end
END SUBROUTINE GETMINI2
END INTERFACE
